Skip to main content
GET
/
api
/
v3
/
customer
/
mobile-money
Get all mobile money customers
curl --request GET \
  --url https://preview.kotanipay.com/api/v3/customer/mobile-money \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Customers successfully retrieved.",
  "data": [
    {
      "phone_number": "<string>",
      "country_code": "GH, KE, NG (or ISO-3: GHA, KEN, NGA)",
      "id": "<string>",
      "network": "MPESA or MTN or AIRTEL or VODAFONE",
      "customer_key": "<string>",
      "account_name": "<string>",
      "integrator": "<string>",
      "first_name": "John",
      "last_name": "Doe",
      "date_of_birth": "1990-01-01",
      "id_number": "123456789",
      "id_type": "NATIONAL_ID",
      "image": "<string>",
      "email": "john.doe@example.com"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt

Use this file to discover all available pages before exploring further.

An integrator can use this endpoint to get all the customers who will be either receiving or sending money using mobile money.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

success
boolean
Example:

true

message
string
Example:

"Customers successfully retrieved."

data
object[]